Package: org.gradle.platform.base

## [Java] Interface Platform

- org.gradle.platform.base.Platform

- All Superinterfaces:
    Named

  The platform or runtime that a binary is designed to run on. Examples: the JvmPlatform defines a java runtime, while the NativePlatform defines the Operating System and Architecture for a native app.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human consumable name for this platform.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human consumable name for this platform.